<template>
	<view class="container page-app theme-light main-green font-1"> 
		<layout ref="skill" title="选人下单"> 
			    
		</layout> 
		
		<s-auth-modal />
		<s-menu-tools />
	</view>
</template>
   
<script>
	import layout from '@/pages/user/detail/components/layout.vue';
	import sheep from '@/sheep';
	export default { 
		components: {  
			layout,
		}, 
		data() {
			return {
				
			} 
		}, 
		// 分享小程序
		onShareAppMessage(res) {
			return {
				title: this.shareInfo.title,
				imageUrl: this.shareInfo.image,
			};
		},
		onShareTimeline() {
			return {
				title: this.shareInfo.title,
				imageUrl: this.shareInfo.image,
			}
		},
		onLoad(options) {
			this.$nextTick(() => {
				this.$refs.skill.initData(options);
			});
		},
		computed: {
			shareInfo() {
				return sheep.$platform.share.getShareInfo();
			},
		},
		methods: {
			
		}
	}
</script>

<style lang="scss" scoped>
	.container {
		background-color: #fff;
		height: calc(100vh);
		padding-bottom: env(safe-area-inset-bottom);
	}
	
	
</style>